:root {
    --theme-orange: #ff8b03;
    --theme-grey: #e8e8e8;
    --main-margin: 1em;
    --main-width: 800px;
    --carousel-height: 30em;
    --carousel-margin: 10vw;
    height: 100%;
    font-family: Aptos, Arial, sans-serif;
}

body {
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100%;
    max-width: 100vw;
}

.vflex {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
}

.accented-text {
    color: var(--theme-orange);
    text-decoration-line: none;
}

.accented-background {
    background-color: var(--theme-orange);
    color: white;
    text-decoration: none;
    padding-right: 8px;
}

#header-1 {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--theme-orange);
}

#header-1-link {
    padding: 1vh;
    margin: 1vh;
    disply: flex;
    justify-content: center;
}

.logo {
    object-fit: contain;
    width: 100%;
    height: 10vh;
}

#header-2 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

#header-2 > a {
    padding: 1vh;
    margin: 1vh;
}

h1, h2, h3, h4, h5, h6 {
    color: var(--theme-orange);
}

#main {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 100%;
}

#main-headline {
    color: var(--theme-orange);
}

#carousel {
    clip-path: content-box;
    position: relative;
    overflow: hidden;
    align-self: stretch;
}

.carousel-button {
    background-color: transparent;
    color: white;
    border: none;
    position: absolute;
    z-index: 10;
    width: var(--carousel-margin);
    height: var(--carousel-margin);
    padding: 0;
    top: 50%;
    translate: 0 -50%;
    cursor: pointer;
}

.slide-frame {
    position: absolute;
    transition: left 0.5s;
    height: var(--carousel-height);
    width: 100%;
    z-index: 1;
}

.slide {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
}

.slide-image {
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
}

.slide-overlay {
    padding-left: var(--carousel-margin);
    padding-right: var(--carousel-margin);
    display: flex;
    position: relative;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.slide-title, .slide-link, .slide-tagline {
    color: white;
    text-decoration: none;
}

.slide-link {
    position: relative;
    display: table;
    padding-left: 2em;
    padding-right: 2em;
}

.slide-link-text {
    position: relative;
    z-index: 1;
    margin: 0.2em;
    display: inline-block;
    color: white;
}

.slide-link-arrow {
    position: absolute;
    left: 0;
    width: 100%;
    top: 0;
    height: 100%;
    color: var(--theme-orange);
}

.carousel-dots {
    margin-bottom: 4em;
    align-self: center;
}

.carousel-dot {
    height: 0.5em;
    width: 0.5em;
    margin: 0.2em;
    border-radius: 50%;
    border: solid 1px white;
    display: inline-block;
}

.active-carousel-dot {
    background-color: cornflowerblue;
}

.banner-image {
    height: var(--carousel-height);
    width: 100%;
    object-fit: cover;
}

img[src="/img/bird.jpeg"] {
    object-position: 50% 50%;
}

img[src="/img/snow.jpeg"] {
    object-position: 50% 20%;
}

img[src="/img/bridge.jpeg"] {
    object-position: 50% 40%;
}

img[src="/img/trees.jpeg"] {
    object-position: 50% 20%;
}

img[src="/img/cliffs.jpeg"] {
    object-position: 50% 30%;
}

img[src="/img/rock.jpeg"] {
    object-position: 50% 20%;
}

.margin {
    margin-top: 1em;
    margin-bottom: 1em;
    margin-left: 1em;
    margin-right: 1em;
    width: min(var(--main-width), calc(100% - var(--main-margin)));
}

.weak-accent-background {
    background-color: rgb(255 116 3 / 0.2);
    width: 100%;
}

.contact-form-title {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.contact-form {
    min-width: 0;
}

.contact-form-body {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    gap: 1em var(--main-margin);
    width: 100%;
    min-width: 0;
}

.button {
    background-color: var(--theme-orange);
    font-size: 1.5em;
    color: white;
    border: none;
    padding-left: 1.5em;
    padding-right: 1.5em;
    display: block;
    margin-top: 1em;
    margin-left: auto;
    margin-right: auto;
}

#footer-2 {
    display: flex;
}

#footer-2-1 {
    flex-grow: 1;
}

#main-footer {
    display: flex;
    justify-content: space-between;
    align-content: center;
}

#footer-logo {
    max-width: 20em;
}

#footer-email {
    color: white;
}

#coaching-table {
    width: 100%;
    background-color: var(--theme-orange);
}

#coaching-table summary::marker {
    content: "";
}

#coaching-table td {
    background-color: var(--theme-grey);
}

#coaching-table h1 {
    color: black;
    font-style: italic;
    text-align: center;
}

#meet-simon-portrait {
    float: right;
    width: 30%;
    margin: var(--main-margin);
}

.testimonials {
    columns: 2;
}

.quote-box {
    padding: var(--main-margin);
    display: flex;
    break-inside: avoid;
}

.open-quote-mark {
    color: var(--theme-orange);
    font-size: 8em;
    height: 0.25em;
    overflow: hidden;
    min-width: max-content;
}

.open-quote-mark > span {
    position: relative;
    margin: 0;
    top: -0.2em;
}

.quote-inner {
    margin-top: 1em;
}

.close-quote-mark {
    color: var(--theme-orange);
    font-size: 8em;
    align-self: end;
    height: 0.25em;
    overflow: hidden;
    display: inline-block;
    vertical-align: text-top;
}

.close-quote-mark > span {
    position: relative;
    margin: 0;
    top: -0.2em;
}

.nobr {
    white-space: nowrap;
}

textarea {
    max-width: 100%;
    box-sizing: border-box;
}
